## wireshark 1.12.1+g01b65bf

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

project(Wireshark C CXX)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)

# Needs to be set after cmake_minimum_required or cmake_policy(VERSION)
# Policy since 2.6.1
cmake_policy(SET CMP0008 NEW)
# Policy since 2.6.3
# Backward compatibility for versions < 2.6.3
cmake_policy(SET CMP0011 OLD)
# Policy since 2.8.1
#cmake_policy(SET CMP0015 NEW)
# Policy since 2.8.11
if( ${CMAKE_MAJOR_VERSION} GREATER 2 OR ${CMAKE_MINOR_VERSION} GREATER 8 OR
	(${CMAKE_MINOR_VERSION} EQUAL 8 AND ${CMAKE_PATCH_VERSION} GREATER 10) )
	# Don't: Automatically link Qt executable to qtmain target on Windows
	cmake_policy(SET CMP0020 OLD)
endif()

# This cannot be implemented via option(...)
if( NOT CMAKE_BUILD_TYPE )
	set( CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
		FORCE)
endif()
message(STATUS "Configuration types: ${CMAKE_CONFIGURATION_TYPES}")
message(STATUS "${CMAKE_BUILD_TYPE}: ${CMAKE_C_FLAGS_RELWITHDEBINFO}")

# set(PROJECT_MAJOR_VERSION 1)
# set(PROJECT_MINOR_VERSION 9)
# set(PROJECT_PATCH_VERSION 0)
# set(PROJECT_VERSION_EXTENSION "-rc5")
# If not set, copy over Wireshark version from configure.ac
if(NOT PROJECT_MAJOR_VERSION)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_MAJOR_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_major\\]?, *\\[?[0-9]+\\]?\\)"
	)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_MINOR_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_minor\\]?, *\\[?[0-9]+\\]?\\)"
	)
	file(STRINGS
		${CMAKE_SOURCE_DIR}/configure.ac
		PROJECT_PATCH_VERSION_TMP
		REGEX "^m4_define\\(\\[?version_micro\\]?, *\\[?[0-9]+\\]?\\)"
	)
	# XXX pull VERSION_EXTENSION out of configure.ac ?

	string(REGEX REPLACE "m4_define\\(\\[?version_major\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_MAJOR_VERSION
		${PROJECT_MAJOR_VERSION_TMP}
	)
	string(REGEX REPLACE "m4_define\\(\\[?version_minor\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_MINOR_VERSION
		${PROJECT_MINOR_VERSION_TMP}
	)
	string(REGEX REPLACE "m4_define\\(\\[?version_micro\\]?, *\\[?([0-9]+)\\]?\\)"
		"\\1"
		PROJECT_PATCH_VERSION
		${PROJECT_PATCH_VERSION_TMP}
	)
endif()


if(PROJECT_VERSION_EXTENSION)
	set(PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION}${PROJECT_VERSION_EXTENSION})
else()
	set(PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})
endif()

message(STATUS "V: ${PROJECT_VERSION}, MaV: ${PROJECT_MAJOR_VERSION}, MiV: ${PROJECT_MINOR_VERSION}, PL: ${PROJECT_PATCH_VERSION}, EV: ${PROJECT_VERSION_EXTENSION}.")

#Where to find local cmake scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
include(UseLemon)
include(UseMakeDissectorReg)
include(UseMakeTapReg)
include(UseAsn2Wrs)

# Under linux the release mode (CMAKE_BUILD_TYPE=release) defines NDEBUG

#Defines CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_DATADIR, etc ...
include(CMakeInstallDirs)

include_directories(
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/epan
	${CMAKE_SOURCE_DIR}/filetap
	${CMAKE_SOURCE_DIR}/tools/lemon
	${CMAKE_SOURCE_DIR}/wiretap
)

#Where to put executables and libraries in the build tree
if(NOT ARCHIVE_OUTPUT_PATH)
	set(ARCHIVE_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all archives.")
endif()
if(NOT EXECUTABLE_OUTPUT_PATH)
	set(EXECUTABLE_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all executables.")
endif()
if(NOT LIBRARY_OUTPUT_PATH)
	set(LIBRARY_OUTPUT_PATH ${Wireshark_BINARY_DIR}/run CACHE INTERNAL
		   "Single output directory for building all libraries.")
endif()

include( CMakeOptions.txt )
if( DUMPCAP_INSTALL_OPTION STREQUAL "suid" )
	set( DUMPCAP_SETUID "SETUID" )
else()
	set( DUMPCAP_SETUID )
endif()
if( NOT CMAKE_SYSTEM_NAME STREQUAL "Linux" AND
	DUMPCAP_INSTALL_OPTION STREQUAL "capabilities" )
	message( WARNING "Capabilities are only supported on Linux" )
	set( DUMPCAP_INSTALL_OPTION )
endif()

if( CMAKE_C_COMPILER_ID MATCHES "MSVC")
	if (MSVC10)
		set(MSC_VER_REQUIRED 1600)
	elseif(MSVC11)
		set(MSC_VER_REQUIRED 1700)
	elseif(MSVC12)
		set(MSC_VER_REQUIRED 1800)
	else()
		message(FATAL_ERROR "You are using an unsupported version of MSVC")
	endif()
	set(LOCAL_CFLAGS
		/Zi
		/W3
		/MDd
		/DWIN32_LEAN_AND_MEAN
		"/DMSC_VER_REQUIRED=${MSC_VER_REQUIRED}"
		/D_CRT_SECURE_NO_DEPRECATE
		/D_CRT_NONSTDC_NO_DEPRECATE
		/MP
		# NOMINMAX keeps windows.h from defining "min" and "max" via windef.h.
		# This avoids conflicts with the C++ standard library.
		/DNOMINMAX
	)

	if(NOT WIN64)
		set(LOCAL_CFLAGS ${LOCAL_CFLAGS} "/D_BIND_TO_CURRENT_CRT_VERSION=1")
	endif()

	# Additional compiler warnings to be treated as "Level 3"
	#  when compiling Wireshark sources. (Selected from "level 4" warnings).
	## 4295: array is too small to include a terminating null character
	set(WARNINGS_CFLAGS "/w34295")

	# FIXME: WINPCAP_VERSION cannot be determined from source or executable.
	set(WINPCAP_VERSION "unknown")
	set(WIRESHARK_C_FLAGS
		"/DWINPCAP_VERSION=${WINPCAP_VERSION}"
		${LOCAL_CFLAGS}
		${WARNINGS_CFLAGS}
	)
else()
	set(WIRESHARK_C_FLAGS
		# -O<X> and -g get set by the CMAKE_BUILD_TYPE
		-Wall
		-W
		-Wextra
		-Wendif-labels
		-Wpointer-arith
		-Warray-bounds
		-Wformat-security
		-Wvla
		-Waddress
		-Wattributes
		-Wdiv-by-zero
		-Wignored-qualifiers
		-Wpragmas
		-Wno-overlength-strings
		-Wwrite-strings
		-Wno-long-long
		-Wheader-guard
	)

	set(WIRESHARK_C_ONLY_FLAGS
		# The following are C only, not C++
		-Wc++-compat
		-Wdeclaration-after-statement
		-Wshadow
		-Wno-pointer-sign
		-Wold-style-definition
		-Wstrict-prototypes
		-Wlogical-op
		-Wjump-misses-init
		# The Qt headers generate a ton of shortening errors on 64-bit systems
		# so only enable this for C for now.
		-Wshorten-64-to-32
	)

	set(WIRESHARK_CPP_ONLY_FLAGS
	)

	set(WIRESHARK_EXTRA_COMPILER_C_FLAGS
		-pedantic
		-Woverflow
		#
		# Various code blocks this one.
		#
		-fstrict-overflow -Wstrict-overflow=4
		#
		# Due to various places where APIs we don't control
		# require us to cast away constness, we can probably
		# never enable this one with -Werror.
		#
		-Wcast-qual
		#
		# Some generated ASN.1 dissectors block this one;
		# multiple function declarations for the same
		# function are being generated.
		#
		-Wredundant-decls
		#
		# Some loops are safe, but it's hard to convince the
		# compiler of that.
		#
		-Wunsafe-loop-optimizations
		#
		# All the registration functions block this for now.
		#
		-Wmissing-declarations
		#
		# A bunch of "that might not work on SPARC" code blocks
		# this one for now.
		#
		-Wcast-align
		#
		# Works only with Clang
		#
		-Wunreachable-code
		#
		# Works only with Clang but generates a lot of warnings
		# (about glib library not using Doxygen)
		#
		-Wdocumentation
		-fwrapv
		-fno-strict-overflow
		-fno-delete-null-pointer-checks
	)

	set(WIRESHARK_EXTRA_COMPILER_C_ONLY_FLAGS
		# The following are C only, not C++
		#
		# Due to various places where APIs we don't control
		# require us to cast away constness, we can probably
		# never enable this one with -Werror.
		#
		-Wbad-function-cast
		#
		# All the registration functions block this for now.
		#
		-Wmissing-prototypes
	)

	set(WIRESHARK_EXTRA_COMPILER_CPP_ONLY_FLAGS
	)

	# With clang some tests don't fail properly during testing but only
	# during real compiles

	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
		set(WIRESHARK_C_FLAGS ${WIRESHARK_C_FLAGS}
			-Qunused-arguments
			#-fcolor-diagnostics
	)
	else()
		set(WIRESHARK_C_FLAGS ${WIRESHARK_C_FLAGS}
			-fexcess-precision=fast
		)

		set(WIRESHARK_C_ONLY_FLAGS ${WIRESHARK_C_ONLY_FLAGS}
		)
	endif()

	if(ENABLE_EXTRA_COMPILER_WARNINGS)   # This overrides -Werror
		set(WIRESHARK_C_FLAGS ${WIRESHARK_C_FLAGS} ${WIRESHARK_EXTRA_COMPILER_C_FLAGS})
		set(WIRESHARK_C_ONLY_FLAGS ${WIRESHARK_C_ONLY_FLAGS} ${WIRESHARK_EXTRA_COMPILER_C_ONLY_FLAGS})
		set(WIRESHARK_CPP_ONLY_FLAGS ${WIRESHARK_CPP_ONLY_FLAGS} ${WIRESHARK_EXTRA_COMPILER_CPP_ONLY_FLAGS})
	endif()

	add_definitions(
		-DG_DISABLE_DEPRECATED
		-DG_DISABLE_SINGLE_INCLUDES
	)
endif()

set( C_FLAG_TESTS ${WIRESHARK_C_FLAGS} ${WIRESHARK_C_ONLY_FLAGS} )
set( CPP_FLAG_TESTS ${WIRESHARK_C_FLAGS} ${WIRESHARK_CPP_ONLY_FLAGS} )

# Counterhack to work around some cache magic in CHECK_C_SOURCE_COMPILES
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

if(NOT DISABLE_WERROR AND NOT ENABLE_EXTRA_COMPILER_WARNINGS)
	check_c_compiler_flag(-Werror=unknown-warning-option WERR_UNKNOWN)
	check_c_compiler_flag(-Werror WERROR)
else()
	set(WERR_UNKNOWN FALSE)
	set(WERROR FALSE)
endif()
# string of additional compile command line flags for check_c_compiler_flag
if(WERR_UNKNOWN)
	set(CMAKE_REQUIRED_FLAGS -Werror=unknown-warning-option )
endif()

# Sigh: Have to use THIS_FLAG instead of ${F} for some reason
foreach(THIS_FLAG ${C_FLAG_TESTS})
	string( REGEX REPLACE "[^a-zA-Z0-9_]+" "_" F ${THIS_FLAG} )
	set(${F} ${THIS_FLAG})
	set(V C_${F}_VALID)
	message(STATUS "Checking for c-compiler flag: ${THIS_FLAG}")
	check_c_compiler_flag(${${F}} ${V})
	if (${${V}})
		set(ADDED_CMAKE_C_FLAGS "${ADDED_CMAKE_C_FLAGS} ${${F}}")
	endif()
endforeach()
set(CMAKE_C_FLAGS "${ADDED_CMAKE_C_FLAGS} ${CMAKE_C_FLAGS}")

foreach(THIS_FLAG ${CPP_FLAG_TESTS})
	string( REGEX REPLACE "[^a-zA-Z0-9_]+" "_" F ${THIS_FLAG} )
	set(${F} ${THIS_FLAG})
	set(V CPP_${F}_VALID)
	message(STATUS "Checking for c++-compiler flag: ${THIS_FLAG}")
	check_cxx_compiler_flag(${${F}} ${V})
	if (${${V}})
		set(ADDED_CMAKE_CXX_FLAGS "${ADDED_CMAKE_CXX_FLAGS} ${${F}}")
	endif()
endforeach()
set(CMAKE_CXX_FLAGS "${ADDED_CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")

message(STATUS "C-Flags: ${CMAKE_C_FLAGS}\nCXX-Flags: ${CMAKE_CXX_FLAGS}")

check_c_compiler_flag(-fvisibility=hidden FVHIDDEN)
if(FVHIDDEN)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
else() # TODO add alternate compiler flags for hiding symbols
	message(WARNING "Hiding shared library symbols is not supported by the compiler."
		" All shared library symbols will be exported.")
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	set (C_UNUSED "__attribute__((unused))" )
else()
	set (C_UNUSED "" )
endif()


if( CMAKE_C_COMPILER_ID MATCHES "MSVC")
	# Set in Makefile.nmake
	set(WIRESHARK_LD_FLAGS
		/LARGEADDRESSAWARE
	)
else()
	set(WIRESHARK_LD_FLAGS
		-Wl,--as-needed
		# -flto
		# -fwhopr
		# -fwhole-program
	)
endif()

include(CheckCLinkerFlag)
set(C 0)
# Sigh: Have to use THIS_FLAG instead of ${F} for some reason
foreach(THIS_FLAG ${WIRESHARK_LD_FLAGS})
	set(F WS_LD_FLAG_${C})
	set(${F} ${THIS_FLAG})
	set(V WS_LD_FLAG_VALID${C})
	check_c_linker_flag(${${F}} ${V})
	if (${${V}})
		set(WS_LINK_FLAGS ${WS_LINK_FLAGS} ${${F}})
	endif()
	math(EXPR C "${C} + 1")
endforeach()

if(ENABLE_STATIC)
	set(LINK_MODE_LIB STATIC)
	set(LINK_MODE_MODULE STATIC)
else()
	set(LINK_MODE_LIB SHARED)
	set(LINK_MODE_MODULE MODULE)
endif()

if(APPLE AND EXISTS /usr/local/opt/gettext)
	# GLib on OS X requires libintl. Homebrew installs gettext (and
	# libintl) in /usr/local/opt/gettext

=== asn1/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


set(ASN1_SRC_DIRS
	HI2Operations
	acp133
	acse
	ansi_map
	ansi_tcap
	atn-cm
	atn-cpdlc
	atn-ulcs
	c1222
	camel
	cdt
	charging_ase
	cmip
	cmp
	cms
	credssp
	crmf
	dap
	disp
	dop
	dsp
	ess
	ftam
	gnm
	goose
	gprscdr
	gsm_map
	h225
	h235
	h245
	h248
	h282
	h283
	h323
	h450
	h450-ros
	h460
	h501
	hnbap
	idmp
	ilp
	inap
	isdn-sup
	lcsap
	ldap
	logotypecertextn
	lpp
	lppa
	lppe
	lte-rrc
	m3ap
	mms
	mpeg-audio
	mpeg-pes
	nbap
	ns_cert_exts
	novell_pkis
	ocsp
	p1
	p22
	p7
	p772
	pcap
	pkcs1
	pkcs12
	pkinit
	pkix1explicit
	pkix1implicit
	pkixac
	pkixproxy
	pkixqualified
	pkixtsp
	pres
	q932
	q932-ros
	qsig
	ranap
	rnsap
	ros
	rrc
	rrlp
	rtse
	rua
	s1ap
	sabp
	sbc-ap
	smrse
	snmp
	spnego
	sv
	t124
	t125
	t38
	tcap
	tetra
	ulp
	wlancertextn
	x2ap
	x509af
	x509ce
	x509if
	x509sat
)

set( BROKEN_ASN1_SRC_DIRS
	# Kerberos is a handwritten dissector, don't replace
	kerberos
	# x721 does not build
	x721
)

foreach(ASN1_DIR ${ASN1_SRC_DIRS})
	add_subdirectory( ${ASN1_DIR} )
endforeach()

=== codecs/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(CODECS_FILES
  codecs.c
  G711a/G711adecode.c
  G711u/G711udecode.c
  G722/G722decode.c
  G726/G726decode.c
  sbc/sbc.c
)

add_library(codecs STATIC
  ${CODECS_FILES}
)
set_target_properties(codecs PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(codecs PROPERTIES FOLDER "codecs")

=== docbook/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

find_package( FOP ) # Call before XSLTPROC
find_package( LYNX )
find_package( XSLTPROC )
find_package( XMLLINT )
find_package( ASCIIDOC )

set(WSUG_FILES
	wsug_src/WSUG_app_files.xml
	wsug_src/WSUG_app_howitworks.xml
	wsug_src/WSUG_app_messages.xml
	wsug_src/WSUG_app_protocols.xml
	wsug_src/WSUG_app_tools.xml
	wsug_src/WSUG_chapter_advanced.xml
	wsug_src/WSUG_chapter_build_install.xml
	wsug_src/WSUG_chapter_capture.xml
	wsug_src/WSUG_chapter_customize.xml
	wsug_src/WSUG_chapter_introduction.xml
	wsug_src/WSUG_chapter_io.xml
	wsug_src/WSUG_chapter_statistics.xml
	wsug_src/WSUG_chapter_telephony.xml
	wsug_src/WSUG_chapter_troubleshoot.xml
	wsug_src/WSUG_chapter_use.xml
	wsug_src/WSUG_chapter_work.xml
	wsug_src/WSUG_meta_info.xml
	wsug_src/WSUG_preface.xml
	wsluarm.xml
	ws.css
)

set(WSUG_GRAPHICS
	wsug_graphics/ws-analyze-menu.png
	wsug_graphics/ws-bytes-pane-tabs.png
	wsug_graphics/ws-bytes-pane.png
	wsug_graphics/ws-capture-info.png
	wsug_graphics/ws-capture-interfaces.png
	wsug_graphics/ws-capture-interfaces-win32.png
	wsug_graphics/ws-capture-menu.png
	wsug_graphics/ws-capture-options.png
	wsug_graphics/ws-capture-options-remote-capture.png
	wsug_graphics/ws-capture-options-remote-interface.png
	wsug_graphics/ws-capture-options-remote-settings.png
	wsug_graphics/ws-capture-preferences.png
	wsug_graphics/ws-choose-color-rule.png
	wsug_graphics/ws-coloring-fields.png
	wsug_graphics/ws-coloring-rules-dialog.png
	wsug_graphics/ws-column-header-popup-menu.png
	wsug_graphics/ws-decode-as-show.png
	wsug_graphics/ws-decode-as.png
	wsug_graphics/ws-column-header-popup-menu.png
	wsug_graphics/ws-details-pane-popup-menu.png
	wsug_graphics/ws-details-pane.png
	wsug_graphics/ws-display-filter-tcp.png
	wsug_graphics/ws-edit-color-rule-dialog.png
	wsug_graphics/ws-edit-menu.png
	wsug_graphics/ws-enabled-protocols.png
	wsug_graphics/ws-expert-colored-tree.png
	wsug_graphics/ws-expert-column.png
	wsug_graphics/ws-expert-infos.png
	wsug_graphics/ws-export-objects.png
	wsug_graphics/ws-export-pdml.png
	wsug_graphics/ws-export-plain.png
	wsug_graphics/ws-export-ps.png
	wsug_graphics/ws-export-psml.png
	wsug_graphics/ws-export-selected.png
	wsug_graphics/ws-file-import.png
	wsug_graphics/ws-file-menu.png
	wsug_graphics/ws-file-set-dialog.png
	wsug_graphics/ws-filter-add-expression.png
	wsug_graphics/ws-filter-toolbar.png
	wsug_graphics/ws-filters.png
	wsug_graphics/ws-find-packet.png
	wsug_graphics/ws-follow-stream.png
	wsug_graphics/ws-go-menu.png
	wsug_graphics/ws-goto-packet.png
	wsug_graphics/ws-gui-colors-preferences.png
	wsug_graphics/ws-gui-columns-preferences.png
	wsug_graphics/ws-gui-config-profiles.png
	wsug_graphics/ws-gui-font-preferences.png
	wsug_graphics/ws-gui-layout-preferences.png
	wsug_graphics/ws-gui-preferences.png
	wsug_graphics/ws-help-menu.png
	wsug_graphics/ws-internals-menu.png
	wsug_graphics/ws-list-pane.png
	wsug_graphics/ws-logo.png
	wsug_graphics/ws-main-toolbar.png
	wsug_graphics/ws-main.png
	wsug_graphics/ws-menu.png
	wsug_graphics/ws-merge-gtk20.png
	wsug_graphics/ws-merge-gtk24.png
	wsug_graphics/ws-merge-win32.png
	wsug_graphics/ws-nameresolution-preferences.png
	wsug_graphics/ws-open-gtk20.png
	wsug_graphics/ws-open-gtk24.png
	wsug_graphics/ws-open-win32.png
	wsug_graphics/ws-packet-format.png
	wsug_graphics/ws-packet-pane-popup-menu.png
	wsug_graphics/ws-packet-range.png
	wsug_graphics/ws-packet-selected.png
	wsug_graphics/ws-packet-sep-win.png
	wsug_graphics/ws-print.png
	wsug_graphics/ws-printing-preferences.png
	wsug_graphics/ws-save-as-gtk20.png
	wsug_graphics/ws-save-as-gtk24.png
	wsug_graphics/ws-save-as-win32.png
	wsug_graphics/ws-statistics-menu.png
	wsug_graphics/ws-stats-conversations.png
	wsug_graphics/ws-stats-endpoints.png
	wsug_graphics/ws-stats-hierarchy.png
	wsug_graphics/ws-stats-iographs.png
	wsug_graphics/ws-stats-srt-dcerpc-filter.png
	wsug_graphics/ws-stats-srt-dcerpc.png
	wsug_graphics/ws-stats-summary.png
	wsug_graphics/ws-stats-lte-mac-traffic.png
	wsug_graphics/ws-stats-lte-rlc-traffic.png
	wsug_graphics/ws-stats-wlan-traffic.png
	wsug_graphics/ws-statusbar-empty.png
	wsug_graphics/ws-statusbar-loaded.png
	wsug_graphics/ws-statusbar-selected.png
	wsug_graphics/ws-telephony-menu.png
	wsug_graphics/ws-time-reference.png
	wsug_graphics/ws-tools-menu.png
	wsug_graphics/ws-view-menu.png
	wsug_graphics/note.png
	wsug_graphics/tip.png
	wsug_graphics/warning.png
	wsug_graphics/toolbar/autoscroll_24.png
	wsug_graphics/toolbar/capture_filter_24.png
	wsug_graphics/toolbar/capture_interfaces_24.png
	wsug_graphics/toolbar/capture_options_24.png
	wsug_graphics/toolbar/capture_restart_24.png
	wsug_graphics/toolbar/capture_start_24.png
	wsug_graphics/toolbar/capture_stop_24.png
	wsug_graphics/toolbar/colorize_24.png
	wsug_graphics/toolbar/display_filter_24.png
	wsug_graphics/toolbar/resize_columns_24.png
	wsug_graphics/toolbar/stock_add_24.png
	wsug_graphics/toolbar/stock_apply_20.png
	wsug_graphics/toolbar/stock_bottom_24.png
	wsug_graphics/toolbar/stock_clear_24.png
	wsug_graphics/toolbar/stock_close_24.png
	wsug_graphics/toolbar/stock_colorselector_24.png
	wsug_graphics/toolbar/stock_help_24.png
	wsug_graphics/toolbar/stock_jump_to_24.png
	wsug_graphics/toolbar/stock_left_arrow_24.png
	wsug_graphics/toolbar/stock_open_24.png
	wsug_graphics/toolbar/stock_preferences_24.png
	wsug_graphics/toolbar/stock_print_24.png
	wsug_graphics/toolbar/stock_properties_24.png
	wsug_graphics/toolbar/stock_refresh_24.png
	wsug_graphics/toolbar/stock_right_arrow_24.png
	wsug_graphics/toolbar/stock_save_24.png
	wsug_graphics/toolbar/stock_save_as_24.png
	wsug_graphics/toolbar/stock_search_24.png
	wsug_graphics/toolbar/stock_stop_24.png
	wsug_graphics/toolbar/stock_top_24.png
	wsug_graphics/toolbar/stock_zoom_1_24.png
	wsug_graphics/toolbar/stock_zoom_in_24.png
	wsug_graphics/toolbar/stock_zoom_out_24.png
)

set(WSDG_FILES
	wsdg_src/WSDG_chapter_build_intro.asciidoc
	wsdg_src/WSDG_chapter_capture.asciidoc
	wsdg_src/WSDG_chapter_dissection.asciidoc
	wsdg_src/WSDG_chapter_env_intro.asciidoc
	wsdg_src/WSDG_chapter_libraries.asciidoc
	wsdg_src/WSDG_chapter_quick_setup.asciidoc
	wsdg_src/WSDG_chapter_sources.asciidoc
	wsdg_src/WSDG_chapter_tools.asciidoc
	wsdg_src/WSDG_chapter_userinterface.asciidoc
	wsdg_src/WSDG_chapter_works.asciidoc
	wsdg_src/WSDG_preface.asciidoc
	ws.css
)

set(WSDG_GRAPHICS
	wsdg_graphics/ws-capture-sync.dia
	wsdg_graphics/ws-capture-sync.png
	wsdg_graphics/ws-capture_internals.dia
	wsdg_graphics/ws-capture_internals.png
	wsdg_graphics/ws-function-blocks.dia
	wsdg_graphics/ws-function-blocks.png
	wsdg_graphics/ws-logo.png
	wsdg_graphics/note.png
	wsdg_graphics/tip.png
	wsdg_graphics/warning.png
)

# user-guide.xml must be first in the list
set(WSUG_SOURCE
	user-guide.xml
	git_version.xml
	wsluarm
	${WSUG_FILES}
	${WSUG_GRAPHICS}
)

MACRO( ASCIIDOC2DOCBOOK _asciidocsource _conffile )
	GET_FILENAME_COMPONENT( _source_base_name ${_asciidocsource} NAME_WE )
	set( A2X_HTML_OPTS --stylesheet=ws.css )
	set( _output_xml ${_source_base_name}.xml )
	set( _output_dbk ${_source_base_name}.dbk )
	ADD_CUSTOM_TARGET(${_output_xml}
		# XXX - Output to a specific directory, e.g. wsdg_generated_src
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		COMMAND ${A2X_EXECUTABLE}
			--verbose
			--attribute=docinfo
			--destination-dir=${CMAKE_CURRENT_BINARY_DIR}
			--asciidoc-opts="--conf-file=${CMAKE_CURRENT_SOURCE_DIR}/${_conffile}"
			--no-xmllint
			--format=docbook
			--fop
			${A2X_HTML_OPTS}
			${CMAKE_CURRENT_SOURCE_DIR}/${_asciidocsource}
		DEPENDS
			${CMAKE_CURRENT_SOURCE_DIR}/${_asciidocsource}
			${CMAKE_CURRENT_SOURCE_DIR}/${_conffile}
			${WSDG_GENERATED_FILES}
	)
ENDMACRO()

ASCIIDOC2DOCBOOK( developer-guide.asciidoc asciidoc.conf )

SET( WSDG_GENERATED_FILES )
# Convert an AsciiDoc document to a DocBook chapter
# Used for chapter-by-chapter conversion from DocBook to AsciiDoc.
# Can be removed after the User's Guide is converted.
# .asciidoc -> whole book (.dbk) -> chapter (.xml)
MACRO( ASCIIDOC2CHAPTER _asciidocsource _conffile )
	GET_FILENAME_COMPONENT( _source_base_name ${_asciidocsource} NAME_WE )
	set( A2X_HTML_OPTS --stylesheet=ws.css )
	set( _output_xml ${_source_base_name}.xml )
	set( _output_dbk ${_source_base_name}.dbk )
	ADD_CUSTOM_TARGET(${_output_xml}
		# XXX - Output to a specific directory, e.g. wsdg_generated_src
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		COMMAND ${A2X_EXECUTABLE}
			--verbose
			--destination-dir=${CMAKE_CURRENT_BINARY_DIR}
			--asciidoc-opts="--conf-file=${CMAKE_CURRENT_SOURCE_DIR}/${_conffile}"
			--no-xmllint
			--fop
			--format=docbook --doctype=book
			${A2X_HTML_OPTS}
			${CMAKE_CURRENT_SOURCE_DIR}/${_asciidocsource}
		COMMAND mv
			${_output_xml}
			${_output_dbk}
		COMMAND ${XMLLINT_EXECUTABLE}
			--xpath '//chapter | //preface'
			${_output_dbk}
			> ${_output_xml}
		DEPENDS
			${_outptudir}
	${CMAKE_CURRENT_SOURCE_DIR}/${_asciidocsource}
	${CMAKE_CURRENT_SOURCE_DIR}/${_conffile}
	)
LIST( APPEND WSDG_GENERATED_FILES ${CMAKE_CURRENT_BINARY_DIR}/${_output_xml} )
ENDMACRO()

#FOREACH(ASCIIDOCFILE ${WSDG_ASCIIDOC_FILES})
#	ASCIIDOC2CHAPTER(
#		${ASCIIDOCFILE}
#		asciidoc.conf
#	)
#ENDFOREACH()

#ADD_CUSTOM_TARGET( wsdg_generated_src DEPENDS ${WSDG_GENERATED_FILES} )

# developer-guide.xml must be first in the list
set(WSDG_SOURCE
	developer-guide.xml
	git_version.xml
	${WSDG_FILES}
	${WSDG_GRAPHICS}
)

set(WSLUA_MODULES
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_dumper.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_field.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_gui.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_int64.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_listener.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_pinfo.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_proto.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_tree.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_tvb.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_file.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_dir.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_util.c
	${CMAKE_SOURCE_DIR}/epan/wslua/wslua_struct.c
)

ADD_CUSTOM_COMMAND(
	OUTPUT
		git_version.xml
	COMMAND ${SH}
		${CMAKE_CURRENT_SOURCE_DIR}/check_git_version.sh
	DEPENDS
		${CMAKE_CURRENT_SOURCE_DIR}/check_git_version.sh
)

add_custom_target(
	user_guides ALL
	DEPENDS
		wsluarm
		wsug_html_chunked/index.html
		wsug_html/index.html
		user-guide-a4.pdf
		user-guide-us.pdf
)

VALIDATE_XML(
	wsug.validated
	WSUG_SOURCE
)

XML2HTML(
	wsug.validated
	wsug_html/index.html
	single-page
	WSUG_SOURCE
	WSUG_GRAPHICS
)

XML2HTML(
	wsug.validated
	wsug_html_chunked/index.html
	chunked
	WSUG_SOURCE
	WSUG_GRAPHICS
)

# 2do: Merge A4 and letter into the smallest dimension of each format.
#      Use   --stringparam  page.height <letter-height>mm --stringparam  page.width <at-width>mm
#      Test the effect of this on letter and a4 printers first (ps and non-ps).

XML2PDF(
	user-guide-a4.pdf
	WSUG_SOURCE
	custom_layer_pdf.xsl
	A4
)

XML2PDF(
	user-guide-us.pdf
	WSUG_SOURCE
	custom_layer_pdf.xsl
	letter
)

add_custom_target(
	developer_guides ALL
	DEPENDS
		wsluarm
		wsdg_html_chunked/index.html
		wsdg_html/index.html
		developer-guide-a4.pdf
		developer-guide-us.pdf
)

VALIDATE_XML(
	wsdg.validated
	WSDG_SOURCE
)

XML2HTML(
	wsdg.validated

=== echld/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set(CLEAN_FILES
	echld-util.c
	parent.c
)

set(DIRTY_FILES
	child.c
	common.c
	dispatcher.c
)

set(echld_LIBS
	${GLIB2_LIBRARIES}
)

set(ECHLD_FILES
	${CLEAN_FILES}
	${DIRTY_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()


add_library(echld ${LINK_MODE_LIB}
	${ECHLD_FILES}
)

set(FULL_SO_VERSION "0.0.0")

set_target_properties(echld PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(echld PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(echld PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 0)

# discover and substitute list of include directories for ABI compatibility
# checks
#get_directory_property(INCLUDE_DIRS INCLUDE_DIRECTORIES)
#list(REMOVE_DUPLICATES INCLUDE_DIRS)
#string(REGEX REPLACE ";" "\n" INCLUDE_DIRS "${INCLUDE_DIRS}")
#configure_file(../abi-descriptor.template abi-descriptor.xml)

# ABI compliance checker can be obtained from
# http://ispras.linux-foundation.org/index.php/ABI_compliance_checker
# Checked using version 1.21.12
#file(GLOB HEADERS *.h)
#file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/abi-check-headers)
#
#file(COPY ${HEADERS} ../ws_symbol_export.h DESTINATION abi-check-headers)

#add_custom_command(OUTPUT libwsutil.abi.tar.gz
#	COMMAND cp ../config.h abi-check-headers/
#	COMMAND abi-compliance-checker -l libwsutil -v1 ${FULL_SO_VERSION}
#		-relpath ${CMAKE_CURRENT_BINARY_DIR} -dump-abi abi-descriptor.xml
#		|| cat logs/libwsutil/[0-9]*/log.txt
#	COMMAND cp abi_dumps/libwsutil/libwsutil_* libwsutil.abi.tar.gz
#	COMMAND rm -rf abi-check-headers/* abi_dumps
#	DEPENDS ${HEADERS} wsutil)
#add_custom_target(dumpabi-libwsutil DEPENDS libwsutil.abi.tar.gz)

target_link_libraries(echld ${echld_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS echld
		LIBRARY DESTINATION lib
		RUNTIME DESTINATION lib
		ARCHIVE DESTINATION lib
	)
endif()

=== epan/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

if (HAVE_HFI_SECTION_INIT)
	add_definitions(
		-DHAVE_HFI_SECTION_INIT
	)
endif()


if (HAVE_LIBLUA)
	include( wslua/CMakeLists.txt )
endif()
source_group(wslua FILES ${WSLUA_FILES})

if (HAVE_LIBPYTHON)
	include( wspython/CMakeLists.txt )
endif()
source_group(wspython FILES ${WSPYTHON_FILES})

add_subdirectory( dissectors/dcerpc )

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/dfilter
	${CMAKE_CURRENT_SOURCE_DIR}/dissectors
	${CMAKE_CURRENT_SOURCE_DIR}/ftypes
	${CMAKE_CURRENT_SOURCE_DIR}/wslua
	${CMAKE_CURRENT_SOURCE_DIR}/wspython
	${CMAKE_CURRENT_SOURCE_DIR}/nghttp2
)

set(CRYPT_FILES
	crypt/airpdcap.c
	crypt/airpdcap_ccmp.c
	crypt/airpdcap_debug.c
	crypt/airpdcap_rijndael.c
	crypt/airpdcap_tkip.c
)
source_group(crypt FILES ${CRYPT_FILES})

set(DFILTER_FILES
	dfilter/dfilter.c
	dfilter/dfilter-macro.c
	dfilter/dfunctions.c
	dfilter/dfvm.c
	dfilter/drange.c
	dfilter/gencode.c
	dfilter/semcheck.c
	dfilter/sttype-function.c
	dfilter/sttype-integer.c
	dfilter/sttype-pointer.c
	dfilter/sttype-range.c
	dfilter/sttype-string.c
	dfilter/sttype-test.c
	dfilter/syntax-tree.c
)
source_group(dfilter FILES ${DFILTER_FILES})

set(DFILTER_CLEAN_FILES
	${DFILTER_FILES}
)

add_lex_files(DFILTER_FILES
	dfilter/scanner.l
)

add_lemon_files(DFILTER_FILES
	dfilter/grammar.lemon
)

if (AUTOGEN_pidl)
    # TODO
endif()

if (AUTOGEN_dcerpc)
  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    set(PIDL_DISSECTOR_AUTOGEN_SRC
	${PIDL_DISSECTOR_AUTOGEN_SRC}
	dissectors/dcerpc/${PROTOCOL_NAME}/packet-dcerpc-${PROTOCOL_NAME}.c
    )
  ENDFOREACH()

  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    SET(CUR_PROTO_DIR ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/dcerpc/${PROTOCOL_NAME})
    SET(CUR_PROTO_C_FILE packet-dcerpc-${PROTOCOL_NAME}.c)
    SET(CUR_PROTO_H_FILE packet-dcerpc-${PROTOCOL_NAME}.h)
    ADD_CUSTOM_COMMAND(
	OUTPUT
	  ${CUR_PROTO_DIR}/${CUR_PROTO_C_FILE}
	  ${CUR_PROTO_DIR}/${CUR_PROTO_H_FILE}
	COMMAND
	  idl2wrs ${PROTOCOL_NAME}
	COMMAND
	  ${CMAKE_COMMAND} -E copy_if_different ${CUR_PROTO_DIR}/${CUR_PROTO_C_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/${CUR_PROTO_C_FILE}
	COMMAND
	  ${CMAKE_COMMAND} -E copy_if_different ${CUR_PROTO_DIR}/${CUR_PROTO_H_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/dissectors/${CUR_PROTO_H_FILE}
	WORKING_DIRECTORY
	  ${CUR_PROTO_DIR}
	DEPENDS
	  ${CUR_PROTO_DIR}/${PROTOCOL_NAME}.idl
	  ${CUR_PROTO_DIR}/${PROTOCOL_NAME}.cnf
	  ${CUR_PROTO_DIR}/packet-dcerpc-${PROTOCOL_NAME}-template.c
	  ${CUR_PROTO_DIR}/packet-dcerpc-${PROTOCOL_NAME}-template.h
    )
  ENDFOREACH()
else()
  FOREACH(PROTOCOL_NAME ${PIDL_DISSECTOR_AUTOGEN_NAMES})
    set(PIDL_DISSECTOR_AUTOGEN_SRC
	${PIDL_DISSECTOR_AUTOGEN_SRC}
	dissectors/packet-dcerpc-${PROTOCOL_NAME}.c
    )
  ENDFOREACH()
endif()

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
    COMMAND ${PYTHON_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/ncp2222.py
      -o ${CMAKE_CURRENT_BINARY_DIR}/packet-ncp2222.c
    DEPENDS
      dissectors/packet-ncp2222.inc
      ${CMAKE_SOURCE_DIR}/tools/ncp2222.py
)

ADD_CUSTOM_COMMAND(
    OUTPUT
       x11-dissector
#      x11-declarations.h
#      x11-enum.h
#      x11-extension-errors.h
#      x11-extension-implementation.h
#      x11-fields
#      x11-glx-render-enum.h
#      x11-register-info.h
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl
      <dissectors/x11-fields
    COMMAND ${PERL_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl
    DEPENDS
      dissectors/x11-fields
      ${CMAKE_SOURCE_DIR}/tools/process-x11-fields.pl
      ${CMAKE_SOURCE_DIR}/tools/process-x11-xcb.pl
)

# Note that some dissectors are added in dissectors/dcerpc/CMakeLists.txt
set(PIDL_DISSECTOR_SRC
	dissectors/packet-dcerpc-atsvc.c
#	dissectors/packet-dcerpc-budb.c
#	dissectors/packet-dcerpc-butc.c
#	dissectors/packet-dcerpc-drsuapi.c
	dissectors/packet-dcerpc-dssetup.c
	dissectors/packet-dcerpc-efs.c
	dissectors/packet-dcerpc-frstrans.c
	dissectors/packet-dcerpc-initshutdown.c
	dissectors/packet-dcerpc-nspi.c
	dissectors/packet-dcerpc-rfr.c
	dissectors/packet-dcerpc-srvsvc.c
	dissectors/packet-dcerpc-wkssvc.c
	dissectors/packet-dcerpc-wzcsvc.c
)
set(DIRTY_PIDL_DISSECTOR_SRC
	dissectors/packet-dcerpc-dfs.c
	dissectors/packet-dcerpc-dnsserver.c
	dissectors/packet-dcerpc-eventlog.c
	dissectors/packet-dcerpc-lsa.c
	dissectors/packet-dcerpc-mapi.c
	dissectors/packet-dcerpc-mdssvc.c
	dissectors/packet-dcerpc-misc.c
	dissectors/packet-dcerpc-winreg.c
)
set(ASN1_DISSECTOR_SRC
	dissectors/packet-acp133.c
	dissectors/packet-acse.c
	dissectors/packet-ansi_tcap.c
	dissectors/packet-c1222.c
	dissectors/packet-camel.c
	dissectors/packet-cdt.c
	dissectors/packet-charging_ase.c
	dissectors/packet-cmip.c
	dissectors/packet-cmp.c
	dissectors/packet-cms.c
	dissectors/packet-credssp.c
	dissectors/packet-crmf.c
	dissectors/packet-dap.c
	dissectors/packet-disp.c
	dissectors/packet-dop.c
	dissectors/packet-dsp.c
	dissectors/packet-ess.c
	dissectors/packet-ftam.c
	dissectors/packet-goose.c
	dissectors/packet-HI2Operations.c
	dissectors/packet-h225.c
	dissectors/packet-h235.c
	dissectors/packet-h245.c
	dissectors/packet-h248.c
	dissectors/packet-h282.c
	dissectors/packet-h283.c
	dissectors/packet-h323.c
	dissectors/packet-h450.c
	dissectors/packet-h450-ros.c
	dissectors/packet-h460.c
	dissectors/packet-h501.c
	dissectors/packet-hnbap.c
	dissectors/packet-idmp.c
	dissectors/packet-ilp.c
	dissectors/packet-inap.c
	dissectors/packet-isdn-sup.c
	dissectors/packet-kerberos.c
	dissectors/packet-lcsap.c
	dissectors/packet-logotypecertextn.c
	dissectors/packet-lpp.c
	dissectors/packet-lppa.c
	dissectors/packet-lppe.c
	dissectors/packet-lte-rrc.c
	dissectors/packet-mms.c
	dissectors/packet-mpeg-audio.c
	dissectors/packet-mpeg-pes.c
	dissectors/packet-nbap.c
	dissectors/packet-novell_pkis.c
	dissectors/packet-ns_cert_exts.c
	dissectors/packet-ocsp.c
	dissectors/packet-p22.c
	dissectors/packet-p7.c
	dissectors/packet-p772.c
	dissectors/packet-pcap.c
	dissectors/packet-pkcs1.c
	dissectors/packet-pkinit.c
	dissectors/packet-pkix1explicit.c
	dissectors/packet-pkix1implicit.c
	dissectors/packet-pkixac.c
	dissectors/packet-pkixproxy.c
	dissectors/packet-pkixqualified.c
	dissectors/packet-pkixtsp.c
	dissectors/packet-pktap.c
	dissectors/packet-q932.c
	dissectors/packet-q932-ros.c
	dissectors/packet-qsig.c
	dissectors/packet-ranap.c
	dissectors/packet-ros.c
	dissectors/packet-rrc.c
	dissectors/packet-rrlp.c
	dissectors/packet-rtse.c
	dissectors/packet-rua.c
	dissectors/packet-s1ap.c
	dissectors/packet-sabp.c
	dissectors/packet-sbc-ap.c
	dissectors/packet-smrse.c
	dissectors/packet-spnego.c
	dissectors/packet-sv.c
	dissectors/packet-t38.c
	dissectors/packet-ulp.c
	dissectors/packet-wlancertextn.c
	dissectors/packet-x2ap.c
	dissectors/packet-x509af.c
	dissectors/packet-x509ce.c
	dissectors/packet-x509if.c
	dissectors/packet-x509sat.c
)

set(DIRTY_ASN1_DISSECTOR_SRC
	dissectors/packet-ansi_map.c
	dissectors/packet-coseventcomm.c
	dissectors/packet-cosnaming.c
	dissectors/packet-gprscdr.c
	dissectors/packet-gsm_map.c
	dissectors/packet-ldap.c
	dissectors/packet-m3ap.c
	dissectors/packet-p1.c
	dissectors/packet-parlay.c
	dissectors/packet-pkcs12.c
	dissectors/packet-pres.c
	dissectors/packet-rnsap.c
	dissectors/packet-snmp.c
	dissectors/packet-t124.c
	dissectors/packet-t125.c
	dissectors/packet-tango.c
	dissectors/packet-tcap.c
	dissectors/packet-tetra.c
)

set(DISSECTOR_SRC
	dissectors/file-elf.c
	dissectors/file-file.c
	dissectors/file-gif.c
	dissectors/file-jpeg.c
	dissectors/file-mp4.c
	dissectors/file-png.c
	dissectors/packet-2dparityfec.c
	dissectors/packet-3com-njack.c
	dissectors/packet-3com-xns.c
	dissectors/packet-3g-a11.c
	dissectors/packet-6lowpan.c
	dissectors/packet-9p.c
	dissectors/packet-a21.c
	dissectors/packet-aarp.c
	dissectors/packet-aastra-aasp.c
	dissectors/packet-acap.c
	dissectors/packet-acn.c
	dissectors/packet-acr122.c
	dissectors/packet-actrace.c
	dissectors/packet-adb_cs.c
	dissectors/packet-adwin-config.c
	dissectors/packet-adwin.c
	dissectors/packet-afp.c
	dissectors/packet-afs.c
	dissectors/packet-agentx.c
	dissectors/packet-aim-admin.c
	dissectors/packet-aim-adverts.c
	dissectors/packet-aim-bos.c
	dissectors/packet-aim-buddylist.c
	dissectors/packet-aim-chat.c
	dissectors/packet-aim-chatnav.c
	dissectors/packet-aim-directory.c
	dissectors/packet-aim-email.c
	dissectors/packet-aim-generic.c
	dissectors/packet-aim-icq.c
	dissectors/packet-aim-invitation.c
	dissectors/packet-aim-location.c
	dissectors/packet-aim-messaging.c
	dissectors/packet-aim-oft.c
	dissectors/packet-aim-popup.c
	dissectors/packet-aim-signon.c
	dissectors/packet-aim-ssi.c
	dissectors/packet-aim-sst.c
	dissectors/packet-aim-stats.c
	dissectors/packet-aim-translate.c
	dissectors/packet-aim-userlookup.c
	dissectors/packet-aim.c
	dissectors/packet-ajp13.c
	dissectors/packet-alcap.c
	dissectors/packet-alljoyn.c
	dissectors/packet-amqp.c
	dissectors/packet-amr.c
	dissectors/packet-ancp.c
	dissectors/packet-ans.c
	dissectors/packet-ansi_637.c
	dissectors/packet-ansi_683.c
	dissectors/packet-ansi_801.c
	dissectors/packet-ansi_a.c
	dissectors/packet-aodv.c
	dissectors/packet-aoe.c
	dissectors/packet-aol.c
	dissectors/packet-ap1394.c
	dissectors/packet-app-pkix-cert.c
	dissectors/packet-applemidi.c
	dissectors/packet-aprs.c
	dissectors/packet-arcnet.c
	dissectors/packet-armagetronad.c
	dissectors/packet-arp.c
	dissectors/packet-artnet.c
	dissectors/packet-aruba-adp.c
	dissectors/packet-aruba-erm.c
	dissectors/packet-aruba-iap.c
	dissectors/packet-aruba-papi.c
	dissectors/packet-ar_drone.c
	dissectors/packet-asap.c
	dissectors/packet-ascend.c
	dissectors/packet-asf.c
	dissectors/packet-assa_r3.c
	dissectors/packet-asterix.c
	dissectors/packet-at.c
	dissectors/packet-atalk.c
	dissectors/packet-atm.c
	dissectors/packet-atmtcp.c
	dissectors/packet-auto_rp.c
	dissectors/packet-ax25.c
	dissectors/packet-ax25-kiss.c
	dissectors/packet-ax25-nol3.c
	dissectors/packet-ax4000.c
	dissectors/packet-ayiya.c
	dissectors/packet-babel.c
	dissectors/packet-bacapp.c
	dissectors/packet-bacnet.c
	dissectors/packet-banana.c
	dissectors/packet-bat.c
	dissectors/packet-batadv.c
	dissectors/packet-bctp.c
	dissectors/packet-beep.c
	dissectors/packet-bencode.c
	dissectors/packet-ber.c
	dissectors/packet-bfcp.c
	dissectors/packet-bfd.c
	dissectors/packet-bgp.c
	dissectors/packet-bitcoin.c
	dissectors/packet-bittorrent.c
	dissectors/packet-bjnp.c
	dissectors/packet-bmc.c
	dissectors/packet-bofl.c
	dissectors/packet-bootp.c
	dissectors/packet-bootparams.c
	dissectors/packet-bpdu.c
	dissectors/packet-bpq.c
	dissectors/packet-brdwlk.c
	dissectors/packet-brp.c
	dissectors/packet-bssap.c
	dissectors/packet-bssgp.c
	dissectors/packet-bt-dht.c
	dissectors/packet-bt-utp.c
	dissectors/packet-bt3ds.c
	dissectors/packet-btamp.c
	dissectors/packet-btatt.c
	dissectors/packet-btbnep.c
	dissectors/packet-btavctp.c
	dissectors/packet-btavdtp.c
	dissectors/packet-btavrcp.c
	dissectors/packet-bthci_acl.c
	dissectors/packet-bthci_cmd.c
	dissectors/packet-bthci_evt.c
	dissectors/packet-bthci_sco.c
	dissectors/packet-bthcrp.c

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

set(CLEAN_FILES
	5views.c
	aethra.c
	ascendtext.c
	atm.c
	ber.c
	btsnoop.c
	camins.c
	catapult_dct2000.c
	commview.c
	cosine.c
	csids.c
	daintree-sna.c
	dbs-etherwatch.c
	dct3trace.c
	erf.c
	eyesdn.c
	file_access.c
	file_wrappers.c
	hcidump.c
	i4btrace.c
	ipfix.c
	iptrace.c
	iseries.c
	k12.c
	lanalyzer.c
	libpcap.c
	logcat.c
	merge.c
	mpeg.c
	mime_file.c
	mp2t.c
	netmon.c
	netscaler.c
	netscreen.c
	nettl.c
	network_instruments.c
	netxray.c
	ngsniffer.c
	packetlogger.c
	pcap-common.c
	pcapng.c
	peekclassic.c
	peektagged.c
	pppdump.c
	radcom.c
	snoop.c
	stanag4607.c
	tnef.c
	toshiba.c
	visual.c
	vms.c
	vwr.c
	wtap.c
)

set(DIRTY_FILES
)

set(WIRETAP_FILES
	${CLEAN_FILES}
	${DIRTY_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

add_lex_files(WIRETAP_FILES
	ascend_scanner.l
	k12text.l
)

add_yacc_files(WIRETAP_FILES
	ascend.y
)

set(wiretap_LIBS
	${GLIB2_LIBRARIES}
	${GMODULE2_LIBRARIES}
	${ZLIB_LIBRARIES}
	wsutil
)

add_library(wiretap ${LINK_MODE_LIB}
	${WIRETAP_FILES}
)

set(FULL_SO_VERSION "4.0.0")

set_target_properties(wiretap PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(wiretap PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(wiretap PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 4)
set_target_properties(wiretap PROPERTIES FOLDER "DLLs")

ABICHECK(libwiretap)

add_custom_command(OUTPUT libwiretap.abi.tar.gz
	COMMAND cp ../config.h ${ABICHECK_TMPDIR}/
	COMMAND ${ABICHECK_COMMAND}
	COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps/libwiretap/libwiretap_* ${CMAKE_CURRENT_BINARY_DIR}/libwiretap.abi.tar.gz
	COMMAND rm -rf ${ABICHECK_TMPDIR}/* ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps
	DEPENDS ${HEADERS} wiretap)

target_link_libraries(wiretap ${wiretap_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wiretap
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	)
endif()

=== wsutil/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

include(UseABICheck)

IF(WIN32)
  set(WSUTIL_PLATFORM_FILES
    file_util.c
    inet_aton.c
    inet_ntop.c
    inet_pton.c
    strptime.c
    wsgetopt.c
  )
ENDIF(WIN32)

set(WSUTIL_FILES
  adler32.c
  aes.c
  airpdcap_wep.c
  base64.c
  bitswap.c
  buffer.c
  crash_info.c
  crc10.c
  crc16.c
  crc16-plain.c
  crc32.c
  crc6.c
  crc7.c
  crc8.c
  crc11.c
  crcdrm.c
  des.c
  eax.c
  filesystem.c
  g711.c
  md4.c
  md5.c
  mpeg-audio.c
  nstime.c
  plugins.c
  privileges.c
  sha1.c
  strnatcmp.c
  str_util.c
  rc4.c
  report_err.c
  tempfile.c
  time_util.c
  type_util.c
  u3.c
  unicode-utils.c
  ${WSUTIL_PLATFORM_FILES}
)

set(wsutil_LIBS
  ${GMODULE2_LIBRARIES}
  ${GLIB2_LIBRARIES}
  ${GCRYPT_LIBRARIES}
  ${WIN_WSOCK32_LIBRARY}
)
IF(WIN32)
  set(wsutil_LIBS ${wsutil_LIBS} "ws2_32.lib")
ENDIF(WIN32)

set(CLEAN_FILES
  ${WSUTIL_FILES}
)

if (WERROR)
  set_source_files_properties(
    ${CLEAN_FILES}
    PROPERTIES
    COMPILE_FLAGS -Werror
  )
endif()

add_library(wsutil ${LINK_MODE_LIB}
  ${WSUTIL_FILES}
)

set(FULL_SO_VERSION "4.0.0")

set_target_properties(wsutil PROPERTIES COMPILE_DEFINITIONS "WS_BUILD_DLL")
set_target_properties(wsutil PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")
set_target_properties(wsutil PROPERTIES VERSION ${FULL_SO_VERSION} SOVERSION 4)
set_target_properties(wsutil PROPERTIES FOLDER "DLLs")

ABICHECK(libwsutil)

add_custom_command(OUTPUT libwsutil.abi.tar.gz
	COMMAND cp ../config.h ${ABICHECK_TMPDIR}/
	COMMAND ${ABICHECK_COMMAND}
	COMMAND cp ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps/libwsutil/libwsutil_* ${CMAKE_CURRENT_BINARY_DIR}/libwsutil.abi.tar.gz
	COMMAND rm -rf ${ABICHECK_TMPDIR}/* ${CMAKE_CURRENT_BINARY_DIR}/abi_dumps
	DEPENDS ${HEADERS} wsutil)

target_link_libraries(wsutil ${wsutil_LIBS})

if(NOT ${ENABLE_STATIC})
	install(TARGETS wsutil
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	)
endif()

add_definitions( -DTOP_SRCDIR=\"${CMAKE_SOURCE_DIR}\" )

#
# Editor modelines  -  http://www.wireshark.org/tools/modelines.html
#
# Local variables:
# c-basic-offset: 8
# tab-width: 8
# indent-tabs-mode: t
# End:
#
# vi: set shiftwidth=8 tabstop=8 noexpandtab:
# :indentSize=8:tabSize=8:noTabs=false:
#

=== asn1/c1222/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set( PROTOCOL_NAME c1222 )

set( PROTO_OPT )

set( EXT_ASN_FILE_LIST
)

set( ASN_FILE_LIST
	${PROTOCOL_NAME}.asn
)

set( EXTRA_DIST
	${ASN_FILE_LIST}
	packet-${PROTOCOL_NAME}-template.c
	packet-${PROTOCOL_NAME}-template.h
	${PROTOCOL_NAME}.cnf
)

set( SRC_FILES
	${EXTRA_DIST}
	${EXT_ASN_FILE_LIST}
)

set( A2W_FLAGS -b )

set( EXTRA_CNF
)

ASN2WRS()

=== asn1/charging_ase/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set( PROTOCOL_NAME charging_ase )

set( PROTO_OPT )

set( EXT_ASN_FILE_LIST
)

set( ASN_FILE_LIST
	Tariffing-Data-Types.asn
)

set( EXTRA_DIST
	${ASN_FILE_LIST}
	packet-${PROTOCOL_NAME}-template.c
	packet-${PROTOCOL_NAME}-template.h
	${PROTOCOL_NAME}.cnf
)

set( SRC_FILES
	${EXTRA_DIST}
	${EXT_ASN_FILE_LIST}
)

set( A2W_FLAGS -b )

ASN2WRS()

=== asn1/cmp/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set( PROTOCOL_NAME cmp )

set( PROTO_OPT )

set( EXT_ASN_FILE_LIST
)

set( ASN_FILE_LIST
	CMP.asn
)

set( EXTRA_DIST
	${ASN_FILE_LIST}
	packet-${PROTOCOL_NAME}-template.c
	packet-${PROTOCOL_NAME}-template.h
	${PROTOCOL_NAME}.cnf
)

set( SRC_FILES
	${EXTRA_DIST}
	${EXT_ASN_FILE_LIST}
)

set( A2W_FLAGS -b )

set( EXTRA_CNF
	../pkix1explicit/pkix1explicit_exp.cnf
	../pkix1implicit/pkix1implicit_exp.cnf
	crmf-exp.cnf
)

ASN2WRS()

=== asn1/dop/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set( PROTOCOL_NAME dop )

set( PROTO_OPT )

set( EXPORT_FILES
	${PROTOCOL_NAME}-exp.cnf
)

set( EXT_ASN_FILE_LIST
)

set( ASN_FILE_LIST
	${PROTOCOL_NAME}.asn
)

set( EXTRA_DIST
	${ASN_FILE_LIST}
	packet-${PROTOCOL_NAME}-template.c
	packet-${PROTOCOL_NAME}-template.h
	${PROTOCOL_NAME}.cnf
)

set( SRC_FILES
	${EXTRA_DIST}
	${EXT_ASN_FILE_LIST}
)

set( A2W_FLAGS -b )

set( EXTRA_CNF
	dap-exp.cnf
	dsp-exp.cnf
	crmf-exp.cnf
	x509af-exp.cnf
	x509if-exp.cnf
	x509sat-exp.cnf
)

ASN2WRS()

=== debian/changelog ===
wireshark (1.12.1+g01b65bf-4~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Use QT4 and GnuTLS available in wheezy

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 02 Apr 2015 09:53:44 +0200

wireshark (1.12.1+g01b65bf-4) unstable; urgency=high

  * security fixes from Wireshark 1.12.4 (Closes: #780372):
    - The ATN-CPDLC dissector could crash (CVE-2015-2187)
    - The WCP dissector could crash (CVE-2015-2188)
    - The pcapng file parser could crash (CVE-2015-2189)
    - The LLDP dissector could crash (CVE-2015-2190)
    - The TNEF dissector could go into an infinite loop.
      Discovered by Vlad Tsyrklevich. (CVE-2015-2191)
    - The SCSI OSD dissector could go into an infinite loop.
      Discovered by Vlad Tsyrklevich. (CVE-2015-2192)
  * Fix control combos such as ctrl-a, ctrl-c in filter textbox
    (Closes: #780596)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 26 Mar 2015 19:15:54 +0100

wireshark (1.12.1+g01b65bf-3) unstable; urgency=high

  * security fixes from Wireshark 1.12.3 (Closes: #776135):
    - The WCCP dissector could crash (CVE-2015-0559, CVE-2015-0560)
    - The LPP dissector could crash (CVE-2015-0561)
    - The DEC DNA Routing Protocol dissector could crash (CVE-2015-0562)
    - The SMTP dissector could crash (CVE-2015-0563)
    - Wireshark could crash while decypting TLS/SSL sessions.
      Discovered by Noam Rathaus. (CVE-2015-0564)
  * Fix GTK Broadway crash (Closes: #776136)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Jan 2015 16:01:19 +0100

wireshark (1.12.1+g01b65bf-2) unstable; urgency=high

  [Mert Dirik]
  * Add Turkish translation (Closes: #757499)

  [Balint Reczey]
  * Fix typo in libwiretap4 description (Closes: #757469)
  * security fixes from Wireshark 1.12.2 (Closes: #769410):
    - SigComp UDVM buffer overflow (CVE-2014-8710)
    - AMQP crash (CVE-2014-8711)
    - NCP crashes (CVE-2014-8712, CVE-2014-8713)
    - TN5250 infinite loops (CVE-2014-8714)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 02 Nov 2014 20:31:06 +0100

wireshark (1.12.1+g01b65bf-1) unstable; urgency=high

  * Increase priority of debconf question about capturing rights to high
    to help first-time users in setting up capturing
  * New upstream release 1.12.1 from git snapshot:
    - release notes:
      https://wireshark.org/docs/relnotes/wireshark-1.12.1.html
    - security fixes:
      - MEGACO dissector infinite loop (CVE-2014-6423)
      - Netflow dissector crash (CVE-2014-6424)
      - CUPS dissector crash (CVE-2014-6425)
      - HIP dissector infinite loop. (CVE-2014-6426)
      - RTSP dissector crash (CVE-2014-6427)
      - SES dissector crash (CVE-2014-6428)
      - Sniffer file parser crash.
        (CVE-2014-6429, CVE-2014-6430, CVE-2014-6431, CVE-2014-6432)
  * Back-port patch from upstream to set proper .so versions

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 18 Sep 2014 22:01:15 +0200

=== debian/control ===
Source: wireshark
Section: net
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Standards-Version: 3.9.5
Build-Depends: libgtk-3-dev,
# enable Qt 5 related dependencies for Qt 5-enabled build
# qtbase5-dev, qtbase5-dev-tools, qttools5-dev, qttools5-dev-tools,
# enable Qt 4 related dependencies for Qt 4-enabled build
 qt4-qmake, libqt4-dev,
 libpcap0.8-dev, flex, libz-dev, debhelper (>= 9), po-debconf, libtool,
 python (>= 2.6.6-3~), python-ply, libc-ares-dev, xsltproc,
 docbook-xsl (>= 1.64.1.0-0), docbook-xml, libxml2-utils, libpcre3-dev,
 libcap2-dev [linux-any] | libcap-dev (>= 2.17) [linux-any],
 bison,
# enable versioned libgnutls28-dev below to have GPLv2+ compatible GMP
# libgnutls28-dev (>= 3.2.14-1~),
# enable backports-compatible libgnutls-dev
 libgnutls-dev,
 libgcrypt-dev, portaudio19-dev, libkrb5-dev, liblua5.2-dev, libsmi2-dev,
 libgeoip-dev, dpkg-dev (>= 1.16.1~), imagemagick, xdg-utils,
 libnl-genl-3-dev [linux-any], libnl-route-3-dev [linux-any], asciidoc, cmake, w3m
Build-Conflicts: libsnmp4.2-dev, libsnmp-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/wireshark/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/wireshark/trunk/
Homepage: http://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark5 (>= ${binary:Version}),
 libwiretap4 (>= ${binary:Version}), debconf, libcap2-bin [linux-any]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Replaces: ethereal-common (<< 1.0.0-3)
Conflicts: ethereal-common (<< 1.0.0-3)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark (the GTK+ version)
 and tshark (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version}), xdg-utils
Replaces: ethereal (<< 1.0.0-3)
Conflicts: ethereal (<< 1.0.0-3)
Description: network traffic analyzer - GTK+ version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the GTK+ version of wireshark.

Package: wireshark-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version}), xdg-utils
Replaces: ethereal (<< 1.0.0-3)
Conflicts: ethereal (<< 1.0.0-3)
Description: network traffic analyzer - Qt version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the Qt version of wireshark.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireshark-common (= ${binary:Version})
Replaces: tethereal (<< 1.0.0-3)
Conflicts: tethereal (<< 1.0.0-3)
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, omniidl (>= 4.0.1-2), libpcap0.8-dev, libtool,
 libglib2.0-dev, ${python:Depends}, python-ply, snacc, autotools-dev, debhelper,
 cdbs, automake, autoconf, libwireshark-dev, libwiretap-dev
Replaces: ethereal-dev (<< 1.0.0-3)
Conflicts: ethereal-dev (<< 1.0.0-3)
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, wireshark-common (= ${binary:Version}) | wireshark (= ${binary:Version}) | tshark (= ${binary:Version})
Description: network traffic analyzer - debug symbols
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains stripped debugging symbols for all Wireshark
 programs and libraries.

Package: wireshark-doc
Priority: extra
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libwireshark-data (>= ${source:Version}),
 libwsutil4 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark1 (<< 1.4.2-2)
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark5.

Package: libwsutil-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends} , libwsutil4 (= ${binary:Version})
Conflicts: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
 wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1), libwireshark-dev (<< 1.4.2-2),
 wireshark-dev (<< 1.4.0~rc2-1)
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for libwireshark5.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Replaces: wireshark-common (<< 1.4.0~rc2-1)
Suggests: snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Section: libdevel
Depends: ${misc:Depends}, libwsutil-dev, libwireshark5 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wireshark-common (<< 1.4.0~rc2-1)
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Section: libdevel
Depends: ${misc:Depends}, libwiretap4 (= ${binary:Version})
Conflicts: wireshark-dev (<< 1.4.0~rc2-1)
Replaces: wireshark-dev (<< 1.4.0~rc2-1)
Architecture: any
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

=== debian/rules ===
#!/usr/bin/make -f
# Originally made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Rewritten to use dh, by Balint Reczey

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)-.*/\1/p')
export docdir = /usr/share/doc/wireshark-doc
%:
	dh $@ --with python2 --buildsystem cmake # --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_GUIDES=ON \
		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DENABLE_QT5=OFF

override_dh_auto_build:
	dh_auto_build
	# create menu icon
	convert image/wsicon32.png image/wsicon32.xpm
	# fix links in documentation
	sed -i "s|$(CURDIR)/docbook|..|" obj-*/docbook/ws*g_html_chunked/*

override_dh_strip:
	dh_strip --dbg-package=wireshark-dbg

override_dh_auto_install:
	dh_auto_install
	rm -f debian/*.shlibs
	rm -rf $(CURDIR)/debian/tmp/usr/share/wireshark/COPYING
	cp debian/license-text-about-dialog $(CURDIR)/debian/tmp/usr/share/wireshark/ABOUT.GPL
	# icons conforming to freedesktop.org standards
	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps/ \
		$(CURDIR)/debian/tmp/usr/share/mime/packages/
	install -m 644 image/wsicon.svg $(CURDIR)/debian/tmp/usr/share/icons/hicolor/scalable/apps/wireshark.svg
	install -m 644 wireshark-mime-package.xml $(CURDIR)/debian/tmp/usr/share/mime/packages/wireshark.xml
	# upstream uses qtshark for binary's name
	mv $(CURDIR)/debian/tmp/usr/bin/qtshark $(CURDIR)/debian/tmp/usr/bin/wireshark-qt
	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/
	mv $(CURDIR)/debian/tmp/usr/share/wireshark/init.lua \
		$(CURDIR)/debian/tmp/etc/wireshark/
	ln -s /etc/wireshark/init.lua \
		$(CURDIR)/debian/tmp/usr/share/wireshark/init.lua

override_dh_install:
	dh_install
	# check all necessary headers are included
	$(CC) -c debian/headers-check.c `pkg-config --cflags glib-2.0` -Idebian/libwireshark-dev/usr/include -Idebian/libwireshark-dev/usr/include/wireshark -Idebian/libwiretap-dev/usr/include/wireshark -Idebian/libwsutil-dev/usr/include/wireshark -o /dev/null

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/wireshark-dev/usr/share/pyshared/wireshark_be.py \
		debian/wireshark-dev/usr/share/pyshared/wireshark_gen.py
